<?php
// Connection Component Binding
Doctrine_Manager::getInstance()->bindComponent('CO_PENDIENTE_COMITE', 'doctrine');

/**
 * BaseCO_PENDIENTE_COMITE
 * 
 * @package    contratacion
 * @subpackage model
 * @author     Manuel Enrique Paredes Lopez
 * @version    SVN: $Id: Builder.php 7691 2011-02-04 15:43:29Z jwage $
 */
abstract class BaseCO_PENDIENTE_COMITE extends sfDoctrineRecord
{
    public function setTableDefinition()
    {
        $this->setTableName('CO_PENDIENTE_COMITE');
        $this->hasColumn('id_pendiente_comite', 'integer', 20, array(
             'type' => 'integer',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => true,
             'length' => 20,
             ));
        $this->hasColumn('id_estudios_previos', 'integer', 20, array(
             'notnull' => true,
             'type' => 'integer',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => false,
             'length' => 20,
             ));
        $this->hasColumn('fecha_aprueba', 'timestamp', 7, array(
             'notnull' => true,
             'type' => 'timestamp',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => false,
             'length' => 7,
             ));
        $this->hasColumn('observaciones', 'string', 500, array(
             'notnull' => true,
             'type' => 'string',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => false,
             'length' => 500,
             ));
        $this->hasColumn('NO_COMITE', 'integer', 20, array(
             'notnull' => false,
             'type' => 'integer',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => false,
             'length' => 20,
             ));
    }

    public function setUp()
    {
        parent::setUp();
        
    }
}
